| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Properties | Private Attributes | List of all members
IG.Num.SimKosecFileManagerBase.InputFieldDefinition Class Reference

Contains data about a field that is recoginzed in the input file, such as field identification number, name, and description. This class is immutable except for Description, and it is thread safe in the scope of intended use. More...

## Public Member Functions
| InputFieldDefinition (int id, string name)
| Constructs new input field definition. More...
| InputFieldDefinition (int id, string name, string description)
| Constructs new input field definition. More...
| InputFieldDefinition (int id, string name, string description, string defaultValue)
| Constructs new input field definition. More...

## Public Attributes
const string | DefaultName = "UndefVarName"

## Properties
int | Id`[get, protected set]`
| Unique ID of the input field (this really matters in the input file). More...
string | Name`[get, protected set]`
| Agreed mnemonic name of the input field (case sensitive). If set to null or empty string then some default string is assigned. More...
string | Description`[get, set]`
| Optional description of the input field. More...
bool | DefaultValueDefined`[get]`
| Whether the default value is defined or not. More...
string | DefaultValue`[get, set]`
| Default value for the curretn input field. More...

## Private Attributes
int | _id
string | _name
string | _description
string | _defaultvalue

## Detailed Description

Contains data about a field that is recoginzed in the input file, such as field identification number, name, and description. This class is immutable except for Description, and it is thread safe in the scope of intended use.

## Constructor & Destructor Documentation

IG.Num.SimKosecFileManagerBase.InputFieldDefinition.InputFieldDefinition | ( | int | id,
|  | string | name
| ) |  |
| inline

Constructs new input field definition.

Parameters

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.

IG.Num.SimKosecFileManagerBase.InputFieldDefinition.InputFieldDefinition | ( | int | id,
|  | string | name,
|  | string | description
| ) |  |
| inline

Constructs new input field definition.

Parameters

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.
  description | Optional description of the input field.

IG.Num.SimKosecFileManagerBase.InputFieldDefinition.InputFieldDefinition | ( | int | id,
|  | string | name,
|  | string | description,
|  | string | defaultValue
| ) |  |
| inline

Constructs new input field definition.

Parameters

  id | Unique ID of the input field (this really matters in the input file).
  name | Agreed mnemonic name of the input field (case sensitive). If null or empty string then some default string will be assigned.
  description | Optional description of the input field.
  defaultValue | Default value of the field.

## Member Data Documentation

int IG.Num.SimKosecFileManagerBase.InputFieldDefinition._id
| private

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition._name
| private

const string IG.Num.SimKosecFileManagerBase.InputFieldDefinition.DefaultName = "UndefVarName"

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition._description
| private

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition._defaultvalue
| private

## Property Documentation

int IG.Num.SimKosecFileManagerBase.InputFieldDefinition.Id
| get protected set

Unique ID of the input field (this really matters in the input file).

Referenced by IG.Num.SimKosecFileManagerBase.AddDefaultInputValues(), IG.Num.SimKosecFileManagerBase.AddInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.ClearInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.GetDefinition(), IG.Num.SimKosecFileManagerBase.GetInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.GetInputFieldValue(), IG.Num.SimKosecFileManagerBase.SetInputFieldValue(), IG.Num.SimKosecFileManagerBase.ToString(), and IG.Num.SimKosecFileManagerBase.WriteToConsole().

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition.Name
| get protected set

Agreed mnemonic name of the input field (case sensitive). If set to null or empty string then some default string is assigned.

Referenced by IG.Num.SimKosecFileManagerBase.AddDefaultInputValues(), IG.Num.SimKosecFileManagerBase.AddInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.ClearInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.GetDefinition(), IG.Num.SimKosecFileManagerBase.GetInputFieldDefinition(), IG.Num.SimKosecFileManagerBase.GetInputFieldValue(), IG.Num.SimKosecFileManagerBase.SetInputFieldValue(), IG.Num.SimKosecFileManagerBase.ToString(), and IG.Num.SimKosecFileManagerBase.WriteToConsole().

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition.Description
| get set

Optional description of the input field.

Referenced by IG.Num.SimKosecFileManagerBase.GetInputFieldDefinition().

bool IG.Num.SimKosecFileManagerBase.InputFieldDefinition.DefaultValueDefined
| get

Whether the default value is defined or not.

Referenced by IG.Num.SimKosecFileManagerBase.UpdateDefaultInputValues().

string IG.Num.SimKosecFileManagerBase.InputFieldDefinition.DefaultValue
| get set

Default value for the curretn input field.

Referenced by IG.Num.SimKosecFileManagerBase.UpdateDefaultInputValues().

The documentation for this class was generated from the following file:

- igbase/interfaces/simulations/Kosec/SimKosecFileManagerBase.cs